UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::simple_claimer Class Reference

`#include <atomic.hpp>`

## Public Member Functions
| simple_claimer (void)
UHD_INLINE void | release (void)
UHD_INLINE bool | claim_with_wait (const double timeout)

## Detailed Description

Claimer class to provide synchronization for multi-thread access. Claiming enables buffer classes to be used with a buffer queue.

## Constructor & Destructor Documentation

uhd::simple_claimer::simple_claimer | ( | void |  | ) |
| inline

## Member Function Documentation

UHD_INLINE bool uhd::simple_claimer::claim_with_wait | ( | const double | timeout | ) |
| inline

UHD_INLINE void uhd::simple_claimer::release | ( | void |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/uhd/utils/atomic.hpp